Davinci Prisma Integration

AI Tools

Prisma is a digital media management platform that manages every step of the campaign lifecycle – from planning and buying to reporting and reconciliation.

Methods

Method Name

Method Type

Description

POST Integrate Advertiser

POST

To integrate an advertiser (belonging to an agency) to subscribe to all the notifications.

The notifications are Publish Campaign, RequestAdTag, Publish Trackers.

  • Publish Campaign - used when Buyer workflow notifies the Jivox ad server when campaigns for agencies (you are subscribed to) are published to it

  • RequestAdTag: used by Buyer workflow to notify Jivox ad server when an on-demand request for ad tags for placements from campaigns for agencies you are subscribed to are published to it.

  • Publish Trackers: used by Buyer workflow to notify Jivox ad server when trackers from campaigns for agencies you are subscribed to are published to it.

Note: Whenever an activity occurs in Prisma, under this accountId, Jivox receive's a relevant notification.

POST Publish Campaign

POST

Prisma uses this API to notify the Jivox ad server when one of its subscribed agencies publishes a campaign. The notification is saved in the prismaNotificationTable, for further processing. If the accountID is valid then a 200 OK response is sent, else a 422 or 500 response is sent.

POST Publish Trackers

POST

Prisma uses this API to notify the Jivox ad server when trackers from campaigns for agencies you are subscribed to are published to it. If the notification is valid then a 200 OK response is sent, else a 404 or 500 response is sent.

POST Request Ad Tags

POST

Prisma uses this API to notify Jivox ad server when an on-demand request for ad tags for campaigns for agencies you are subscribed to are published to it. If the notification is valid then a 200 OK response is sent, else a 404 or 500 response is sent.

POST Integrate Advertiser

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID for Jivox ad server to access Prisma, provided by client. This Id is generated by Prisma.

prismaId

string

Mandatory

path

The prismaId is used in two use cases: one for POST integrateAdvetiser and other use case, for example in campaignId, placementId, trackerId in prisma.

-- For POST integrateAdvertiser request it is the ID for Jivox ad server to access Prisma, provided by client. This Id is generated by Prisma.

-- For other use cases, it is the resource ID provided by Prisma.

jivoxId

integer

Mandatory

path

ID of the advertiser. Every prisma advertiserId, which is the accountId, is mapped to a JivoxId used in EAM, mapping to a publisherId.

integrationEnabled

Boolean

Mandatory

path

If third party integration is enabled or not.

prismaAdvertiserName

string

Optional

path

Name of the prisma advertiser. This is optional.

prismaAdvertiserDescription

string

Optional

path

Description of the prisma advertiser. This is optional.

Sample Request

POST http://demo.stub.api.jivox.com/v2/accounts/:accountId/prisma/serverAPIs/integrate

Sample Response

Code: 200 (If a new mapping is created or mapping already exists) { "subscribed": INT, "exists": INT "message" : STRING } Code: 400 (If provided with invalid prismaId/accountId or Unable to create mapping) { "message" : STRING } Code: 500 {}

POST Publish Campaign

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID for Jivox ad server to access Prisma, provided by client. This Id is generated by Prisma.

Sample Request

POST http://demo.stub.api.jivox.com/v2/accounts/:accountId/prisma/serverAPIs/notifications/publishCampaign

Request Body

<?xml version="1.0" encoding="UTF-8"?> <ns2:Event xmlns:ns2="http://www.mediaocean.com/schemas/iDesk/ExternalService/PostEventRequest" accountID="124" type="PublishCampaign" ID="fcbfd325-e8ac-40c6-ab2a-f645af77cbdd"> <ns2:Content> <CampaignID>CAMPAIGN-ID</CampaignID> <PlacementCollections> <PlacementCollectionID>PLACEMENT-1</PlacementCollectionID> <PlacementCollectionID>PLACEMENT-2</PlacementCollectionID> <PlacementCollectionID>PLACEMENT-3</PlacementCollectionID> </PlacementCollections> </ns2:Content> </ns2:Event>

Sample Response

ACKNOWLEDGEMENT RESPONSE -> Code: 200 <?xml version="1.0" encoding="UTF-8"?> <EventResponse xmlns="http://www.mediaocean.com/schemas/iDesk/ExternalService/PostEventResponse" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.mediaocean.com/schemas/iDesk/ExternalService/PostEventResponse iDeskExternalServicePostEventResponse-1.0.xsd" eventID="fcbfd325-e8ac-40c6-ab2a-f645af77cbdd" eventType="PublishCampaign" accountId="124"> <Status> <Code>200</Code> <Message>OK</Message> </Status> </EventResponse> -> Code: 400 <?xml version="1.0" encoding="UTF-8"?> <EventResponse xmlns="http://www.mediaocean.com/schemas/iDesk/ExternalService/PostEventResponse" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.mediaocean.com/schemas/iDesk/ExternalService/PostEventResponse iDeskExternalServicePostEventResponse-1.0.xsd" eventID="fcbfd325-e8ac-40c6-ab2a-f645af77cbdd" eventType="PublishCampaign" accountID="124"> <Status> <Code>422</Code> <Message>Unprocessable Entity</Message> </Status> <Failures> <Failure code="3100" type="Invalid Notification"/> </Failures> </EventResponse> -> Code: 500 Empty XML body

POST Publish Trackers

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID for Jivox ad server to access Prisma, provided by client. This Id is generated by Prisma.

Sample Request

POST http://demo.stub.api.jivox.com/v2/accounts/:accountId/prisma/serverAPIs/notifications/publishTrackers

Request Body

{ "accountId": STRING, "type": STRING "PublishTrackers", "campaignId": STRING }

Sample Response

ACKNOWLEDGEMENT RESPONSE -> Code: 200 <?xml version="1.0" encoding="UTF-8"?> <EventResponse xmlns="http://www.mediaocean.com/schemas/iDesk/ExternalService/PostEventResponse" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.mediaocean.com/schemas/iDesk/ExternalService/PostEventResponse iDeskExternalServicePostEventResponse-1.0.xsd" eventID="undefined" eventType="PublishTrackers" accountId="124"> <Status> <Code>200</Code> <Message>OK</Message> </Status> </EventResponse> -> Code: 400 <?xml version="1.0" encoding="UTF-8"?> <EventResponse xmlns="http://www.mediaocean.com/schemas/iDesk/ExternalService/PostEventResponse" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.mediaocean.com/schemas/iDesk/ExternalService/PostEventResponse iDeskExternalServicePostEventResponse-1.0.xsd" eventID="undefined" eventType="PublishTrackers" accountID="124"> <Status> <Code>422</Code> <Message>Unprocessable Entity</Message> </Status> <Failures> <Failure code="3100" type="Invalid Notification"/> </Failures> </EventResponse> -> Code: 500 Empty XML body

POST Request Ad Tags

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID for Jivox ad server to access Prisma, provided by client. This Id is generated by Prisma.

Sample Request

POST http://demo.stub.api.jivox.com/v2/accounts/:accountId/prisma/serverAPIs/notifications/requestAdTags

Request Body

{ "accountId": STRING, "type": STRING "RequestAdTags", "campaignId": STRING }

Sample Response

ACKNOWLEDGEMENT RESPONSE -> Code: 200 <?xml version="1.0" encoding="UTF-8"?> <EventResponse xmlns="http://www.mediaocean.com/schemas/iDesk/ExternalService/PostEventResponse" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.mediaocean.com/schemas/iDesk/ExternalService/PostEventResponse iDeskExternalServicePostEventResponse-1.0.xsd" eventID="undefined" eventType="RequestAdTags" accountId="124"> <Status> <Code>200</Code> <Message>OK</Message> </Status> </EventResponse> -> Code: 400 <?xml version="1.0" encoding="UTF-8"?> <EventResponse xmlns="http://www.mediaocean.com/schemas/iDesk/ExternalService/PostEventResponse" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.mediaocean.com/schemas/iDesk/ExternalService/PostEventResponse iDeskExternalServicePostEventResponse-1.0.xsd" eventID="undefined" eventType="RequestAdTags" accountID="124"> <Status> <Code>422</Code> <Message>Unprocessable Entity</Message> </Status> <Failures> <Failure code="3100" type="Invalid Notification"/> </Failures> </EventResponse> -> Code: 500 Empty XML body